Bug 2144915 - libetpan: Null pointer dereference in mailimap_mailbox_data_status_free in low-level/imap/mailimap_types.c [fedora-all]
Summary: libetpan: Null pointer dereference in mailimap_mailbox_data_status_free in lo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libetpan
Version: 37
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-4121
TreeView+ depends on / blocked
 
Reported: 2022-11-22 18:11 UTC by Pedro Sampaio
Modified: 2022-12-02 06:21 UTC (History)
3 users (show)

Fixed In Version: libetpan-1.9.4-9.fc37 libetpan-1.9.4-9.fc36 libetpan-1.9.4-9.fc35
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-12-02 01:19:29 UTC
Type: ---


Attachments (Terms of Use)

Description Pedro Sampaio 2022-11-22 18:11:34 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2144914

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Pedro Sampaio 2022-11-22 18:11:36 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2144914,2144915

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-11-23 06:54:58 UTC
FEDORA-2022-f092bc8f7b has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-f092bc8f7b

Comment 3 Fedora Update System 2022-11-23 06:55:10 UTC
FEDORA-2022-de3e565494 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-de3e565494

Comment 4 Fedora Update System 2022-11-23 06:55:22 UTC
FEDORA-2022-df2f4923ea has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-df2f4923ea

Comment 5 Fedora Update System 2022-11-24 02:35:11 UTC
FEDORA-2022-f092bc8f7b has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-f092bc8f7b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-f092bc8f7b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-11-24 02:56:09 UTC
FEDORA-2022-de3e565494 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-de3e565494`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-de3e565494

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-11-24 03:00:45 UTC
FEDORA-2022-df2f4923ea has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-df2f4923ea`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-df2f4923ea

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-12-02 01:19:29 UTC
FEDORA-2022-f092bc8f7b has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2022-12-02 01:37:10 UTC
FEDORA-2022-de3e565494 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2022-12-02 06:21:42 UTC
FEDORA-2022-df2f4923ea has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.